ST_TOK(3)

FUNCTION
st_tok - Extract token from string.

SYNOPSIS
#include <karma_st.h>

char * st_tok

(char *string, CONST char *sepset)

DESCRIPTION
This routine will break a string into a series of tokens. This routine should be called until no more tokens are found.

string
    The string. On subsequent calls (for a series of tokens), NULL should be passed.

sepset
    The set of delimiters (separators between tokens).

RETURN VALUE
A pointer to the next token. NULL is returned if no tokens are found.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/